Bug 129455 - nr_readers_queued is never decremented
nr_readers_queued is never decremented
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 09:54 EDT by Bob Cook
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 01:57:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Cook 2004-08-09 09:54:53 EDT
Description of problem:
In pthread_rwlock_rdlock.c, nr_readers_queued is never decremented.
See the line of code at the end of the RETRY loop in rwlock_wrlock to 
decrement nr_writers_queued.
That line is missing in rwlock_rdlock.c

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2004-08-09 11:22:35 EDT
Thanks, you're right.
http://sources.redhat.com/ml/libc-hacker/2004-08/msg00024.html
Comment 2 Jay Turner 2004-08-20 08:39:53 EDT
Fix confirmed with 2.3.2-95.26.  Will be released as errata for U3. 
Moving to Modified.
Comment 3 Jay Turner 2004-09-02 01:57:35 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-384.html

Note You need to log in before you can comment on or make changes to this bug.